#ifndef _REGRESSION_HPP_
#define _REGRESSION_HPP_

#include <vector>

double coeff_regression(std::vector<double> x, std::vector<double> y)
{
  double xmoy = 0, ymoy=0;
  for (unsigned i=0; i<x.size(); i++) // On admet que les vecteur x et y ont la même dimension.
	{
	  xmoy += x[i]/x.size();
	  ymoy += y[i]/y.size();  
	}
  double xx = 0, xy;
  for (unsigned i=0; i<x.size(); i++)
	{
	  xx += (x[i]-xmoy) * (x[i]-xmoy);
	  xy += (x[i]-xmoy) * (y[i]-ymoy);
	}
  return xy/xx;
}

#endif /* regression.hpp */
